Endpoint
Endpoint object
- namestring
Name of the AI Search endpoint
- creatorstring
Creator of the endpoint
- creation_timestampint64
Timestamp of endpoint creation
- last_updated_timestampint64
Timestamp of last update to the endpoint
- endpoint_typestring
Type of endpoint
STORAGE_OPTIMIZEDSTANDARD
- last_updated_userstring
User who last updated the endpoint
- idstring
Unique identifier of the endpoint
- endpoint_statusobject
Current status of the endpoint
Show child attributesHide child attributes
- statestring
Current state of the endpoint
PROVISIONINGONLINEOFFLINERED_STATEYELLOW_STATEDELETED
- messagestring
Additional status message
- num_indexesint32
Number of indexes on the endpoint
- budget_policy_idstringPublic Preview
The user-selected budget policy id for the endpoint.
- effective_budget_policy_idstringPublic Preview
The budget policy id applied to the endpoint
- scaling_infoobjectGA
Scaling information for the endpoint
Show child attributesHide child attributes
- statestringBeta
The current state of the scaling change request.
SCALING_CHANGE_UNSPECIFIEDSCALING_CHANGE_APPLIEDSCALING_CHANGE_IN_PROGRESS
- requested_target_qpsint64GA
The requested QPS target for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.
Get an endpoint GA
GET
Get details for a single AI Search endpoint.
API scopes: vector-search
Parameters
- namestringRequiredpath
Name of the endpoint
Response
Returns the Endpoint object.
List all endpoints GA
GET
List all AI Search endpoints in the workspace.
API scopes: vector-search
Parameters
- page_tokenstringquery
Token for pagination
Response
Returns a list of Endpoint objects.
Create an endpoint GA
POST
Create a new endpoint.
API scopes: vector-search
Request body
- namestringRequired
Name of the AI Search endpoint
- endpoint_typestringRequired
Type of endpoint
STORAGE_OPTIMIZEDSTANDARD
- budget_policy_idstringPublic Preview
The budget policy id to be applied
- target_qpsint64
Target QPS for the endpoint. Mutually exclusive with num_replicas. The actual replica count is calculated at index creation/sync time based on this value. Best-effort target; the system does not guarantee this QPS will be achieved.
Response
Returns